/*--------------------------------------------------------------------------
 *
 * I3DMGX2 Interface Software
 *
 * (c) 2008 Microstrain, Inc.
 * All rights reserved.
 *
 * www.microstrain.com
 * 310 Hurricane Lane, Suite 4
 * Williston, VT 05495 USA
 * Tel: 802-862-6629 tel
 * Fax: 802-863-4093 fax
 *--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------
 * i3dmgx2Errors.h
 *
 * Definition of error codes.
 *--------------------------------------------------------------------------*/
#define SUCCESS          1
#define SYSTEM_ERROR          -1  //use getlasterror to retrieve status

#define I3DMGX2_COMM_OK 0 
#define I3DMGX2_OK 1

#define I3DMGX2_COMM_FAILED -1
#define I3DMGX2_COMM_INVALID_PORTNUM -2
#define I3DMGX2_COMM_WRITE_ERROR -3
#define I3DMGX2_COMM_READ_ERROR -4
#define I3DMGX2_COMM_RDLEN_ERROR -5
#define I3DMGX2_COMM_RDTIMEOUT_ERROR -6
#define I3DMGX2_CHECKSUM_ERROR -7
#define I3DMGX2_INVALID_DEVICENUM -8
#define I3DMGX2_EERPOM_DATA_ERROR -9
#define I3DMGX2_EERPOM_ADDR_ERROR -10
#define I3DMGX2_GYROSCALE_ERROR -11

#define LAST_ERROR -11    /* last error number. */

/*-------------- end of i3dmgx2Errors.h ----------------------*/
